import es
import playerlib
import gamethread
import cfglib

ohkcfg = cfglib.AddonCFG(es.getAddonPath('onehitkill') + '/config.cfg')
dis = ohkcfg.cvar('Disolver_On', "1", '1 Enables Dissolver Death Effects, 0 Disables It')
ohkcfg.write()

dis.addFlag('notify')

info = es.AddonInfo()
info['name'] = "One Hit Kill"
info['basename'] = "onehitkill"
info['version'] = "1.3"
info['author'] = "Undead"
info['url'] = "http://forums.mattie.info/cs/forums/viewtopic.php?t=23680"
info['description'] = "Makes it to where if you get hit 1 shot, you die."

es.ServerVar(info['basename'], info['version'], info['description']).makepublic()

def load():
  ohkcfg.execute()
  es.msg('#multi', '[#greenOne-Hit-Kill#default] by #lightgreenUndead #defaulthas been loaded!')

def unload():
  es.msg('#multi', '[#greenOne-Hit-Kill#default] by #lightgreenUndead #defaulthas been unloaded!')

def round_start(ev):
  es.msg('#multi', '#greenWARNING: #defaultThis Server is running #lightgreenOne-Hit-Kill#default, so it only takes 1 hit to die!')

def player_hurt(ev):
  if ev['attacker'] != 0:
    if ev['es_attackerteam'] != ev['es_userteam']:
      victim = playerlib.getPlayer(ev['userid'])
      victim.set('armor', '0')
      es.server.queuecmd('damage %s %s 2 %s'%(ev['userid'], ev['health'], ev['attacker'])) 

def player_death(ev):
  if int(dis) == 1:
    userid = ev['userid']
    es.server.queuecmd('es_xgive %s env_entity_dissolver' % userid)
    es.server.queuecmd('es_xfire %s env_entity_dissolver AddOutput "target cs_ragdoll"' % userid)
    es.server.queuecmd('es_xfire %s env_entity_dissolver AddOutput "magnitude 1"' % userid)
    gamethread.delayed(0.01, 'es_xfire %s env_entity_dissolver Dissolve' % userid)
    gamethread.delayed(4, 'es_xfire %s env_entity_dissolver Kill' % userid)
    gamethread.delayed(4, 'es_xfire %s cs_ragdoll Kill' % userid)
